﻿using System;
using Infragistics;
using UIKit;
using Foundation;
using System.Collections.Generic;
namespace TestingDataSourceHelpers
{
	public partial class ViewController : UIViewController
	{
		IGGridViewDataSourceHelper _dsh;
		IGGridView _grid;
		public ViewController (IntPtr handle) : base (handle)
		{
		}

		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			// Perform any additional setup after loading the view, typically from a nib.
		
			_dsh = new IGGridViewDataSourceHelper ();
			_dsh.Data = IGSalesmanItem.GenerateData (100).ToArray ();
		
			_grid = new IGGridView(new CoreGraphics.CGRect(0,0, this.View.Frame.Size.Width, this.View.Frame.Size.Height), IGGridViewStyle.IGGridViewStyleDefault);
			_grid.AutoresizingMask = UIViewAutoresizing.FlexibleWidth | UIViewAutoresizing.FlexibleHeight;
			_grid.RowBackgroundColor = UIColor.White;
			_dsh.AllowRowReordering = true;
			this.View.AddSubview(_grid);
			_grid.DataSource = _dsh;
		

			// There is a bug right now. SO just set after the datasource is set, Also need to call udpateData.
			_grid.RowReordering = true;
			_grid.UpdateData ();
		
		}

		public override void DidReceiveMemoryWarning ()
		{
			base.DidReceiveMemoryWarning ();
			// Release any cached data, images, etc that aren't in use.
		}
	}
}

